wxRuby Documentation Home

# Wx::Object

This is the base class for most wxRuby classes. Almost all of the useful
functions it provides to the C++ library, such as exploration of
object-oriented class relationships and memory management, are handled
within the Ruby language or the wxRuby wrapping. Therefore, this class
has very few methods.

## Methods

- Object.new
- Object#wx_class

### Object.new

Object.new(%(arg-type)Object% other)

Default constructor. Should not need to be called in ruby code.

### Object#wx_class

String wx_class()

Returns the name of the C++ wxWidgets class which this object is
wrapping, for example ‘wxTextCtrl’ or ‘wxFrame’. Note that if a wxRuby
class has been subclassed, this will still return the name of the core
C++ class which this object is wrapping.

This method is normally only required for development and debugging -
user code should not need to call it.

[This page automatically generated from the Textile source at 2023-06-09 00:45:36 +0000]